Package org.eclipse.emf.cdo.server.spi.security

# Class SecurityManagerFactory.Default

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory
org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory.Default

All Implemented Interfaces:
  `org.eclipse.net4j.util.container.IManagedContainer.ContainerAware`, `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Enclosing class:
  `SecurityManagerFactory`

public static class SecurityManagerFactory.Default extends SecurityManagerFactory implements org.eclipse.net4j.util.container.IManagedContainer.ContainerAware
If the meaning of this type isn't clear, there really should be more of a description here...

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

`SecurityManagerFactory.Annotation, SecurityManagerFactory.Default`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE`

### Fields inherited from class org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

`DESCRIPTION_SEPARATOR, PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`Default()`
`protected`
`Default(String type)`

## Method Summary

Modifier and Type
Method
Description
`protected ISecurityManager`
`create(String repositoryName, List<String> description)`
`static ISecurityManager`
`create(org.eclipse.net4j.util.container.IManagedContainer container, String repositoryName, String description)`
`protected ISecurityManager`
`createSecurityManager(String realmPath)`
`protected InternalSecurityManager.CommitHandler`
`getHandler(org.eclipse.net4j.util.container.IManagedContainer container, String token)`
`org.eclipse.net4j.util.container.IManagedContainer`
`getManagedContainer()`
`void`
`setManagedContainer(org.eclipse.net4j.util.container.IManagedContainer container)`

### Methods inherited from class org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

`create, get, get, getQualifiedDescription`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE

public static final String TYPE

Since:
  4.3
See Also:
  - Constant Field Values

## Constructor Details

### Default

public Default()

### Default

protected Default(String type)

Since:
  4.11

## Method Details

### getManagedContainer

public org.eclipse.net4j.util.container.IManagedContainer getManagedContainer()

Since:
  4.11

### setManagedContainer

public void setManagedContainer(org.eclipse.net4j.util.container.IManagedContainer container)

Specified by:
  `setManagedContainer` in interface `org.eclipse.net4j.util.container.IManagedContainer.ContainerAware`
Since:
  4.3

### create

protected ISecurityManager create(String repositoryName, List<String> description) throws org.eclipse.net4j.util.factory.ProductCreationException

Overrides:
  `create` in class `SecurityManagerFactory`
Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`

### createSecurityManager

protected ISecurityManager createSecurityManager(String realmPath)

Since:
  4.11

### getHandler

protected InternalSecurityManager.CommitHandler getHandler(org.eclipse.net4j.util.container.IManagedContainer container, String token)

Since:
  4.3

### create

public static ISecurityManager create(org.eclipse.net4j.util.container.IManagedContainer container, String repositoryName, String description)

Since:
  4.8